// Galaxy.h: interface for the CGalaxy class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GALAXY_H__80A58C43_81BE_11D5_AD0F_C06357C12026__INCLUDED_)
#define AFX_GALAXY_H__80A58C43_81BE_11D5_AD0F_C06357C12026__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Efx.h"

class CGalaxy : public CEfx  
{
private:

	PDIRECT3DVERTEXBUFFER8	m_pvbGalaxy;
	PDIRECT3DVERTEXBUFFER8	m_pvbBackGnd;
	PDIRECT3DVERTEXBUFFER8	m_pvbGalaxyStars;

	he3d_CMatrix			m_mtxGalaxy;
	he3d_CMatrix			m_mtxCamera;

	DWORD					m_dwGalaxyStarCount;

	he3d_CVector			m_vTarget;

	CImageQuad*				m_piqFade;
	CImageQuad*				m_piqStar;

	BOOL					m_bRenderStar;

public:

	CGalaxy( PDIRECT3DDEVICE8 pDevice );
	virtual ~CGalaxy();

	virtual BOOL InitEfx();
	virtual BOOL FinishEfx();
	virtual BOOL UpdateFrame( FLOAT fTime );
	virtual BOOL RenderEfx();

};

#endif // !defined(AFX_GALAXY_H__80A58C43_81BE_11D5_AD0F_C06357C12026__INCLUDED_)
